# Function process

- process<_I, _O>(inputs): Generator<GraphQlRequest | Web3Request, {
  compiler: { name: string | undefined; version: string | undefined; };
  contracts: ({ db?: {} | undefined; sourcePath: string; source: string; bytecode?: { bytes: string; linkReferences: { offsets: number[]; name: string | null; length: number; }[]; } | undefined; compiler: { name: string; version: string; }; ... 12 more ...; deployedGeneratedSources?: { ...; }[] | undefined; })[];
  db?: {};
  sourceIndexes: string[];
  sources: {
  db?: {
  source: undefined | Resources.IdObject<"sources">;
  };
  }[];
  }[], any>

- #### Type Parameters

  - #### _I extends {
    contents: string;
    sourcePath: string;
    } | {
    contents: string;
    name: string;
    }

  - #### _O extends Object

  #### Parameters

  - ##### inputs: any

  #### Returns Generator<GraphQlRequest | Web3Request, {
  compiler: { name: string | undefined; version: string | undefined; };
  contracts: ({ db?: {} | undefined; sourcePath: string; source: string; bytecode?: { bytes: string; linkReferences: { offsets: number[]; name: string | null; length: number; }[]; } | undefined; compiler: { name: string; version: string; }; ... 12 more ...; deployedGeneratedSources?: { ...; }[] | undefined; })[];
  db?: {};
  sourceIndexes: string[];
  sources: {
  db?: {
  source: undefined | Resources.IdObject<"sources">;
  };
  }[];
  }[], any>

  - Defined in packages/db/src/project/loadCompile/sources.ts:15

Generated using TypeDoc